# Class MailerResultCollector

java.lang.Object
org.apache.jmeter.testelement.AbstractTestElement
org.apache.jmeter.reporters.AbstractListenerElement
org.apache.jmeter.reporters.ResultCollector
org.apache.jmeter.reporters.MailerResultCollector

All Implemented Interfaces:
  `Serializable, Cloneable, NoThreadClone, Searchable, Clearable, Remoteable, SampleListener, TestElement, TestStateListener`

public class MailerResultCollector extends ResultCollector implements Serializable

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`MAILER_MODEL`

### Fields inherited from class ResultCollector

`FILENAME`

### Fields inherited from interface TestElement

`COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

## Constructor Summary

Constructors
Constructor
Description
`MailerResultCollector()`

## Method Summary

Modifier and Type
Method
Description
`void`
`clear()`
Clear the TestElement of all data.
`MailerModel`
`getMailerModel()`
`void`
`sampleOccurred(SampleEvent e)`
When a test result is received, display it and save it.

### Methods inherited from class ResultCollector

`clearData, clone, flushFile, getFilename, getSaveConfig, isErrorLogging, isSampleWanted, isSampleWanted, isSuccessOnlyLogging, loadExistingFile, recordStats, sampleStarted, sampleStopped, sendToVisualizer, setErrorLogging, setFilename, setSaveConfig, setSuccessOnlyLogging, testEnded, testEnded, testStarted, testStarted`

### Methods inherited from class AbstractListenerElement

`getVisualizer, setListener`

### Methods inherited from class AbstractTestElement

`addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clearTemporary, clearTestElementChildren, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

### Methods inherited from class Object

`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MAILER_MODEL

public static final String MAILER_MODEL

See Also:
  - Constant Field Values

## Constructor Details

### MailerResultCollector

public MailerResultCollector()

## Method Details

### clear

public void clear()
Clear the TestElement of all data.

Specified by:
  `clear` in interface `TestElement`
Overrides:
  `clear` in class `AbstractTestElement`

### sampleOccurred

public void sampleOccurred(SampleEvent e)
When a test result is received, display it and save it.

Specified by:
  `sampleOccurred` in interface `SampleListener`
Overrides:
  `sampleOccurred` in class `ResultCollector`
Parameters:
  `e` - the sample event that was received

### getMailerModel

public MailerModel getMailerModel()